- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Try it!
Lists all datasets in the specified project to which the user has been granted the READER dataset role.
IAM Permissions
Requires no specific IAM permission(s) to use this method. Results are filtered to only include datasets on which the caller has the bigquery.datasets.get permission.
HTTP request
GET https://bigquery.googleapis.com/bigquery/v2/projects/{projectId}/datasets
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
projectId |
Required. Project ID of the datasets to be listed |
Query parameters
| Parameters | |
|---|---|
maxResults |
The maximum number of results to return in a single response page. Leverage the page tokens to iterate through the entire collection. |
pageToken |
Page token, returned by a previous call, to request the next page of results |
all |
Whether to list all datasets, including hidden ones |
filter |
An expression for filtering the results of the request by label. The syntax is |
Request body
The request body must be empty.
Response body
Response format for a page of results when listing datasets.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{ "kind": string, "etag": string, "nextPageToken": string, "datasets": [ { "kind": string, "id": string, "datasetReference": { object ( |
| Fields | |
|---|---|
kind |
Output only. The resource type. This property always returns the value "bigquery#datasetList" |
etag |
Output only. A hash value of the results page. You can use this property to determine if the page has changed since the last request. |
nextPageToken |
A token that can be used to request the next results page. This property is omitted on the final results page. |
datasets[] |
An array of the dataset resources in the project. Each resource contains basic information. For full information about a particular dataset resource, use the Datasets: get method. This property is omitted when there are no datasets in the project. |
datasets[].kind |
The resource type. This property always returns the value "bigquery#dataset" |
datasets[].id |
The fully-qualified, unique, opaque ID of the dataset. |
datasets[].datasetReference |
The dataset reference. Use this property to access specific parts of the dataset's ID, such as project ID or dataset ID. |
datasets[].labels |
The labels associated with this dataset. You can use these to organize and group your datasets. |
datasets[].friendlyName |
An alternate name for the dataset. The friendly name is purely decorative in nature. |
datasets[].location |
The geographic location where the dataset resides. |
datasets[].type |
Output only. Same as
|
datasets[].catalogSource |
Output only. The origin of the dataset, one of:
|
datasets[].externalDatasetReference |
Output only. Reference to a read-only external dataset defined in data catalogs outside of BigQuery. Filled out when the dataset type is EXTERNAL. |
unreachable[] |
A list of skipped locations that were unreachable. For more information about BigQuery locations, see: https://cloud.google.com/bigquery/docs/locations. Example: "europe-west5" |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/bigqueryhttps://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/bigquery.readonlyhttps://www.googleapis.com/auth/cloud-platform.read-only
For more information, see the Authentication Overview.